# $Id: alterator-timezone.spec,v 1.13 2005/10/11 07:40:53 zerg Exp $

%define module timezone
%define _altdata_dir %_datadir/alterator
%define _altlib_dir %_libdir/alterator

Name: 	alterator-%module
Version: 0.2.10
Release: alt3

Group: System/Configuration/Other
Summary: Alterator module for setting up timezone
License: GPL

BuildArch: noarch

Requires: alterator >= 1.99-alt41
Requires: alterator-backend-%module = %version-%release
Requires: alterator-packages
Requires: glibc-timezones

Source: %name-%version.tar.bz2
BuildRequires: libpam0-devel

%description
Alterator module for setting up timezone

%package -n alterator-backend-%module
Summary: Alterator backend for setting up timezone
License: GPL
Group: System/Configuration/Other
Requires: alterator-common

%description -n alterator-backend-%module
Alterator backend for setting up timezone


%prep
%setup -q

%build

%install
%makeinstall DESTDIR=%buildroot
%find_lang %name

# menu
%__mkdir_p %buildroot/%_menudir
cat >%buildroot/%_menudir/%name <<__EOF__
?package(alterator):needs="x11" \
    command="config-timezone" \
    title="Timezone" \
    section="Configuration/ALT Linux" \
    icon="alterator-%module.png" \
    longtitle="Alterator module to setup timezone" \
    extra_filename="alterator_timezone"
__EOF__

# consolehelper
%__mkdir_p %buildroot/%_sysconfdir/{pam.d,security/console.apps}
%__install -m 0644 pam %buildroot/%_sysconfdir/pam.d/config-timezone
%__install -m 0644 consolehelper %buildroot/%_sysconfdir/security/console.apps/config-timezone

%__mkdir_p %buildroot/{%_sbindir,%_bindir}
%__install -m 0755 standalone %buildroot/%_sbindir/config-timezone
%__ln_s  %_libdir/helper/consolehelper %buildroot/%_bindir/config-timezone

# icons
%__mkdir_p %buildroot/%_iconsdir/hicolor/{16x16,32x32,48x48}/apps
%__install -m 0644 chasi_16.png %buildroot/%_iconsdir/hicolor/16x16/apps/alterator-%module.png
%__install -m 0644 chasi_32.png %buildroot/%_iconsdir/hicolor/32x32/apps/alterator-%module.png
%__install -m 0644 chasi_48.png %buildroot/%_iconsdir/hicolor/48x48/apps/alterator-%module.png


%post
%update_menus
%postun
%clean_menus


%files -f %name.lang
%config %_sysconfdir/pam.d/config-timezone
%config %_sysconfdir/security/console.apps/config-timezone
%_sbindir/config-timezone
%_bindir/config-timezone
%_altdata_dir/*/*
%_menudir/%name
%_iconsdir/hicolor/*/apps/alterator-%module.png

%files -n alterator-backend-%module
%_altlib_dir/backend/*


%changelog
* Wed Oct 19 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.10-alt3
- add custom icons

* Tue Oct 11 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.10-alt2
- fix path to acc icon

* Mon Oct 10 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.10-alt1
- add acc icon
- apply with splash
- fix get server name

* Fri Oct 07 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.9-alt2
- fix to get only one server line from ntp.conf

* Tue Sep 20 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.9-alt1
- use tabbox
- small bugfix

* Wed Aug 31 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.8-alt1
- add splash during test

* Mon Aug 01 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.7-alt5
- add Belarussian translation

* Fri Jul 15 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.7-alt4
- add help to package
- rename alterator-timezone to config-timezone

* Fri Jul 08 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.7-alt3
- fix detect ntp is on
- fix widgets size

* Thu Jul 07 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.7-alt2
- fix detect ntp is on; remove requires to ntpdate

* Thu Jul 07 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.7-alt1
- fix setup ntpd
- add menufile, standalone starting

* Thu Jul 07 2005 Stanislav Ievlev <inger@altlinux.org> 0.2.6-alt1.1
- adopted to new map
- added missing translations

* Wed Jul 06 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.6-alt1
- add test for NTP server
- update Russian translation

* Tue Jul 05 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.5-alt1
- fix check after packages install
- improve UI

* Mon Jul 04 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.4-alt1
- fix requires
- fix to new alterator-packages

* Fri Jun 17 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.3-alt1
- update for new alterator

* Tue Jun 07 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.2-alt1
- add package installation button

* Tue Jun 07 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.1-alt1
- update .map with new features

* Mon May 30 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2-alt1
- add ntp settings

* Mon Apr 25 2005 Stanislav Ievlev <inger@altlinux.org> 0.1-alt5
- improved files layout

* Thu Apr 21 2005 Stanislav Ievlev <inger@altlinux.org> 0.1-alt4
- changed backend format

* Fri Apr 01 2005 Anton Farygin <rider@altlinux.ru> 0.1-alt3
- added requires to glibc-timezones

* Tue Mar 29 2005 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- improvements and little bugfixes

* Wed Mar 16 2005 Anton Farygin <rider@altlinux.ru> 0.1-alt1
- first build for Sisyphus

